local addonName = "CoolDownButtons"

cyCircled_CoolDownButtons = cyCircled:NewModule(addonName)

function cyCircled_CoolDownButtons:AddonLoaded()
	self.db = cyCircled:AcquireDBNamespace(addonName)
	cyCircled:RegisterDefaults(addonName, "profile", {
		["CoolDown Buttons"] = true,
	})
	local ammount = CoolDownButtons:GetNumButtons()
	self:SetupElements(ammount)
	self:OnEnable()
end

function cyCircled_CoolDownButtons:GetElements()
	return {
		["CoolDown Buttons"] = true,
	}
end

function cyCircled_CoolDownButtons:SetupElements(ammount)
	self.elements = {
		["CoolDown Buttons"] = { 
			args = {
				button = { width = 35, height = 35, },
				parentname = false,
			},
			elements = {}, 
		},
	}
    for i = 1, ammount do
        self:AddElement(i)
    end
end

function cyCircled_CoolDownButtons:AddElement(i)
    table.insert(self.elements["CoolDown Buttons"].elements, format("CoolDownButton%d", i))
end
